Project

General

Profile

Bug #636

--toolchain-version option doesn't work for run-tests.sh

Added by Dmitry Moskalchuk almost 6 years ago. Updated almost 6 years ago.

Status:
Closed
Priority:
Normal
Category:
test
Target version:
Start date:
09/02/2014
Due date:
% Done:

100%

Estimated time:
CPU Architecture:
Host OS:
Toolchain:
Android version:
CrystaX Version:

Description

$ ./tests/run-tests.sh --toolchain-version=4.8
To follow build in another terminal, please use: tail -F /tmp/ndk-crystax/tests/build-tests.log
.....
Building NDK build test: clang-multiple-arm-enable-ehabi
Skipping clang-multiple-arm-enable-ehabi: (no build for 4.6)

It say "no build for 4.6" even though --toolchain-version=4.8 specified. However, with environment variable NDK_TOOLCHAIN_VERSION it report toolchain version properly:

$ NDK_TOOLCHAIN_VERSION=4.8 ./tests/run-tests.sh
To follow build in another terminal, please use: tail -F /tmp/ndk-crystax/tests/build-tests.log
.....
Building NDK build test: clang-multiple-arm-enable-ehabi
Skipping clang-multiple-arm-enable-ehabi: (no build for 4.8)

#1

Updated by Alexander Zhukov almost 6 years ago

  • Status changed from Open to Closed
  • % Done changed from 0 to 100

Option --toolchain-version removed.

Also available in: Atom PDF